# Uses of Interface
org.apache.wiki.event.WikiEventListener

## Uses of WikiEventListener in org.apache.wiki.event

Methods in org.apache.wiki.event that return types with arguments of type WikiEventListener
Modifier and Type
Method
Description
`static Set<WikiEventListener>`
WikiEventManager.`getWikiEventListeners(Object client)`
Return the Set containing the WikiEventListeners attached to the delegate for the supplied client.
Methods in org.apache.wiki.event with parameters of type WikiEventListener
Modifier and Type
Method
Description
`static boolean`
WikiEventManager.`addWikiEventListener(Object client, WikiEventListener listener)`
Registers a WikiEventListener with a WikiEventDelegate for the provided client object.
`static void`
WikiEventEmitter.`attach(WikiEventListener listener)`
Registers a `WikiEventListener` so it listens events fired from the `WikiEventEmitter` instance.
`static void`
WikiEventEmitter.`register(WikiEventListener listener)`
Registers a `WikiEventListener` so it listens events fired from the `WikiEventEmitter` instance.
`static boolean`
WikiEventManager.`removeWikiEventListener(Object client, WikiEventListener listener)`
Un-registers a WikiEventListener with the WikiEventDelegate for the provided client object.
`static boolean`
WikiEventManager.`removeWikiEventListener(WikiEventListener listener)`
Un-registers a WikiEventListener from any WikiEventDelegate client managed by this WikiEventManager.